---
title: USBOutTransferResult
slug: Web/API/USBOutTransferResult
tags:
  - API
  - CSSUnparsedValue
  - Experimental
  - Interface
  - NeedsExample
  - Reference
  - USBOutTransferResult
  - WebUSB
  - WebUSB API
---
<p>{{draft}}{{securecontext_header}}{{APIRef("WebUSB API")}}</p>

<p>The <code>USBOutTransferResult</code> interface of the <a href="/en-US/docs/Web/API/WebUSB_API" rel="nofollow">WebUSB API</a> provides the result from a call to the <code>transferOut()</code> and <code>controlTransferOut()</code> methods of the <code>USBDevice</code> interface. It represents the result from requesting a transfer of data from the USB host to the USB device.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("USBOutTransferResult.USBOutTransferResult()")}}</dt>
 <dd>Creates a new <code>USBOutTransferResult</code> object with the provided <code>status</code> and <code>bytesWritten</code> fields.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("USBOutTransferResult.bytesWritten")}}{{readonlyInline}}</dt>
 <dd>Returns the number of bytes from the transfer request that were sent to the device.</dd>
 <dt>{{domxref("USBOutTransferResult.status")}}{{readonlyInline}}</dt>
 <dd>Returns the status of the transfer request, one of:
 <ul>
  <li><code>"ok"</code> - The transfer was successful.</li>
  <li><code>"stall"</code> - The device indicated an error by generating a stall condition on the endpoint. A stall on a bulk or interrupt endpoint must be cleared by calling <code>clearHalt()</code> before <code>transferOut()</code> can be called again.</li>
 </ul>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web USB','#usbouttransferresult','USBOutTransferResult')}}</td>
   <td>{{Spec2('Web USB')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.USBOutTransferResult")}}</p>
